:root {
  --bg-color: #d6b597;
  --text-color-red: #c71313;
  --golden-border-shadow:
    0 0 0 2px #d8c090,
    /* gold outer bevel */
    0 0 0 4px #9e684b,
    /* dark inner bevel */
    0 -1px 0 4px #fff4c2,
    /* top edge highlight */
    0 1px 0 4px #231208;
  /* bottom edge shade */
}

body {
  --gutter-block: 80px;
  --gutter-block: 80px;
  box-sizing: border-box;
  height: 100dvh;
  font-family: "Crimson Text", serif;
  font-optical-sizing: auto;
  background-color: var(--bg-color);
  background-image: url('../img/wide_default_background.avif');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  margin: 0;
  font-size: 20px;

  * {
    box-sizing: inherit;
    font-family: inherit;
  }

  &::before,
  &::after {
    content: "";
    display: block;
    height: var(--gutter-block);
    background: inherit;
    position: fixed;
    left: 0;
    right: 0;
    z-index: 1;
  }

  &::before {
    top: 0;
    mask-image: linear-gradient(to bottom,
        black 0%,
        black 50%,
        transparent 100%);
  }

  &::after {
    bottom: 0;
    mask-image: linear-gradient(to top,
        black 0%,
        black 50%,
        transparent 100%);
  }
}

main {
  --inline-allowed-overflow: 0px;
  margin-inline: auto;
   max-width: 100dvh; 
  width: 100%;
  padding: 80px;
  overflow-x: clip;
}

main1 {
  --inline-allowed-overflow: 0px;
  margin-inline: auto;
  
  width: 100%;
  padding: 180px;
  overflow-x: clip;
}

/* Look at the mental gymnastics I have to do because of background-size: cover */
@media (min-aspect-ratio: 2.37) {
  main {
    width: 50%;
    max-width: unset;
  }
}

@media (max-aspect-ratio: 1) {
  main {
    --inline-allowed-overflow: 2ch;
    width: 100%;
    max-width: unset;
    padding-inline: 2ch;
  }
}


.title {
  margin-inline: calc(-1 * var(--inline-allowed-overflow, auto));
  background: url(../img/menu/header_ornaments.avif);
  background-repeat: no-repeat;
  height: 120px;
  background-position: center;
  background-size: auto 100%;
  line-height: 120px;
  font-weight: bold;
  font-size: 1.5em;
}

.main-title {
  --text-color: #c71313;
  font-family: 'Cinzel', serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 3em;
  color: var(--text-color);
  text-align: center;
  position: relative;
  text-transform: uppercase;
  text-shadow:
    0 1px 0 color-mix(in srgb, var(--text-color) 60%, black),
    0 2px 0 color-mix(in srgb, var(--text-color) 50%, black),
    0 3px 0 color-mix(in srgb, var(--text-color) 40%, black),
    0 4px 0 color-mix(in srgb, var(--text-color) 30%, black),
    0 5px 12px rgba(0, 0, 0, 0.4),
    0 -1px 0 color-mix(in srgb, var(--text-color) 30%, white);
  letter-spacing: 0.05em;
  padding: 20px;
  margin: 0;
  line-height: 1.2em;
}

.nav-handle {
  position: fixed;
  top: 0;
  left: -10px;
  background-color: transparent;
  background-image: url(../img/menu/tab_under_normal.png);
  height: 64px;
  color: black;
  width: 222px;
  background-size: cover;
  background-repeat: no-repeat;
  text-align: center;
  padding-top: 4px;
  border: none;
  font-size: 1.2em;
  padding-bottom: 12px;
  z-index: 1000;

  &:hover {
    filter: brightness(1.2);
    cursor: pointer;
  }
}

.sidenav {
  position: fixed;
  height: 100%;
  z-index: 1000;
  top: 0;
  left: 0;
  background-color: transparent;
  font-size: 1em;
  transition: translate 300ms ease-in-out;
  padding-top: 1em;
  translate: -100%;
  background-repeat: no-repeat;

  border: 64px solid transparent;
  border-style: inset;
  background-image: url(../img/textures/boxstyle3a_inlay.png);
  background-size: 100% 100%;
  border-image-source: url(../img/textures/9slice.png);
  border-image-slice: calc(100%/3);
  border-image-repeat: repeat;

  &.opened {
    translate: 0%;
  }

  a[href^="login"] {
    font-weight: bold;
    color: #087108;
  }

  a[href^="logout"] {
    font-weight: bold;
    color: var(--text-color-red);
  }
}

.nav-links {
  display: flex;
  flex-direction: column;
  gap: 8px;

  a {
    text-decoration: none;
    color: #000;
    transition: 0.3s;

    &:hover {
      color: #f1f1f1;
    }
  }
}

.sidenav .closebtn {
  position: absolute;
  top: -16px;
  right: -16px;
  z-index: 1;
  background-image: url(../img/buttons/close_iron_4k_normal.png);
  background-repeat: no-repeat;
  background-size: contain;
  height: 32px;
  aspect-ratio: 1/1;
  border: none;

  &:hover {
    cursor: pointer;
    background-image: url(../img/buttons/close_iron_4k_hover.png);
  }
}

@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }

  .sidenav a {
    font-size: 18px;
  }
}

table {
  margin: 0 auto;
  font-size: large;
  border: 1px solid black;
  border-collapse: collapse;
}

h1 {
  text-align: center;
  color: black;
  font-size: 1.2em;
}

tr:nth-child(odd) {
  background-color: #ddbb99;
}

tr:nth-child(even) {
  background-color: #bb9977;
}

th {
  background-color: #bb9977;
}

td {
  font-weight: bold;
  padding-right: 10px;
  text-align: left;
}

td {
  font-weight: lighter;
}

select {
  appearance: none;
  width: 193px;
  height: 38px;
  padding-left: 10px;
  font-size: large;
  background: #d7b394;
  background: url(../img/dd.png) no-repeat right center;
  color: black;
  cursor: pointer;
}

.tab-buttons button:not(.active) {
  filter: brightness(0.85);

}

.tab-buttons button:not(.active):hover {
  filter: brightness(1);

}




.tab-buttons>button {
  position: relative;
  cursor: pointer;
  height: 14px;
  width: 16ch;

}

.tab-text {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;


  place-items: center;
  margin: calc(-1 * var(--border-width));
  padding: var(--border-width);
  padding-inline: 10%;
}

.tab-content-container,
.tab-buttons>button {
  --border-width: 32px;
  
  background-repeat: no-repeat;
  border: var(--border-width) solid transparent;
  border-style: inset;
  background-image: url(../img/textures/boxstyle3a_inlay.png);
  background-size: 100% 100%;
  border-image-source: url(../img/textures/9slice_nofuzz.png);
  border-image-slice: calc(100% / 3);
  border-image-repeat: repeat;
}

.tab-buttons>button {
  border-image-source: url(../img/textures/9slice_nofuzz_nobottom.png);
}

.tab-buttons>button {
  border-image-source: url(../img/textures/9slice_nofuzz_nobottom.png);
}

.tab-content:not(.active) {
  display: none;
}

.registration-form {
  padding: 32px;
  margin-inline: auto;
  background: center / contain no-repeat url(../img/history_cavalry_weapons.png);
  background-color: #b89579;
  box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  display: flex;
  flex-direction: column;
  gap: 12px;

  label {
    font-weight: 700;
    background-color: rgb(180 145 118 / 0.8);
    background: linear-gradient(to right, rgb(180 145 118 / 1), rgb(180 145 118 / 0.4));
  }

  input {
    background:
      url(../img/textures/input_left_4k_normal.png) left center / auto 100% no-repeat,
      url(../img/textures/input_right_4k_normal.png) right center / auto 100% no-repeat,
      url(../img/textures/input_center_4k_normal.png) center center / 100% 100% no-repeat;
    height: 40px;
    place-content: center;
  }

 

  textarea {
    background:
      url(../img/textures/large_input_left_4k_normal.png) left center / auto 100% no-repeat,
      url(../img/textures/large_input_right_4k_normal.png) right center / auto 100% no-repeat,
      url(../img/textures/large_input_center_4k_normal.png) center center / 100% 100% no-repeat;
    height: 80px;
    resize: none;
    place-content: start;
    padding-block: 12px;
  }

  input,
  textarea {
    background-color: #464340;
    color: #fff;
    padding-inline: 12px;
    font-size: inherit;
    width: 100%;
    border: none;
  }

  .checkbox-group {
    display: inline-flex;
    flex-direction: column;
    cursor: pointer;

    .checkbox-text {
      font-weight: 400;
      text-align: center;
    }
  }

  .checkbox-image-wrapper {
    position: relative;

    img {
      height: 64px;
      width: 64px;
    }

    input[type="checkbox"] {
      position: absolute;
      top: 0;
      left: 0;
      display: none;

      &+.checkbox-visual {
        position: absolute;
        bottom: 4px;
        left: 4px;
        width: 24px;
        height: 24px;
        background: center / contain no-repeat url(/img/buttons/checkbox_unchecked_normal.png);
      }

      &:checked+.checkbox-visual {
        background: center / contain no-repeat url(/img/buttons/checkbox_checked_normal.png);
      }
    }
  }

  .fa {
    display: inline-block;
    width: 16px;
  }

  .error-message {
    color: #7b070d;
    font-weight: 400;
    background-color: rgb(180 145 118 / 0.8);
  }
}

.inline-icon {
  aspect-ratio: 1/1;
  margin-right: 4px;
  display: inline;
  height: 2em;
  vertical-align: middle;
}

.portrait-with-banner {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.tworowtable {
  width: 350px;
  border: 1px solid black;
}
.biddingtable {
  width: 100%;
  padding:50px;
  align-items: center;
  align-content: center;
  border: 1px solid black;
}
.biddingtable td{
 
  padding:5px;
 text-align: center;

}

.tworowtable td {

  /* space inside each cell */
  text-align: left;
  /* alignment */
  /* optional border for td */
}

/* Fancy buttons */
.textured-button {
  --default-image: url(/img/buttons/button_big_normal.png);
  --hover-image: url(/img/buttons/button_big_hover.png);
  --active-image: url(/img/buttons/button_big_active.png);
  --disabled-image: url(/img/buttons/button_big_disabled.png);
  --bg-color: #90080f;
  aspect-ratio: 3.6;
  background: center / contain no-repeat var(--default-image);
  border: none;
  font: inherit;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  height: 42px;
  cursor: pointer;
  color: #fff;
  font-weight: 600;
  text-decoration: none;
  position: relative;

  &::before {
    content: '';
    position: absolute;
    inset: 4px;
    background-color: var(--bg-color);
    z-index: -1;
    border-radius: inherit;
  }

  &:hover {
    background-image: var(--hover-image);
  }

  &:active {
    background-image: var(--active-image);
  }

  &:disabled {
    background-image: var(--disabled-image);
  }

  &.green {
    --default-image: url(/img/buttons/button_big_normal_green.png);
    --hover-image: url(/img/buttons/button_big_hover_green.png);
    --active-image: url(/img/buttons/button_big_active_green.png);
    --bg-color: #0a9008;
  }
}


/* Layout responsiveness */

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .text {
    font-size: 11px;
  }
}

@-ms-viewport {
  width: device-width;
}

table {
  margin: 0 auto;
  font-size: large;
  border: 1px solid black;
}

/* Slideshow container */
.slideshow-container {
  margin-inline: auto;
  margin-inline: calc(-1 * var(--inline-allowed-overflow, auto));
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-bottom: 24px;

  .slides {
    position: relative;
    background-color: #000;
    box-shadow: var(--golden-border-shadow);
  }

  .slide {
    display: none;
  }

  img {
    width: 100%;
  }

  .slide.active {
    display: block;
  }

  .dots {
    display: flex;
    gap: 4px;
    justify-content: center;
  }

  .dot {
    aspect-ratio: 1 / 1;
    height: 24px;
    background-color: rgb(255 255 255);
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
    background: center / contain no-repeat url(../img/buttons/diamondcheckbox_unchecked_1080.png);
    cursor: pointer;
    border: none;
    padding: 0;
  }

  .dot.active {
    background-color: #717171;
    background: center / contain no-repeat url(../img/buttons/diamondcheckbox_checked_1080.png);
  }
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.team-logo-carousel {
  --item-size: 80px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;

  * {
    height: var(--item-size);
    height: var(--item-size);
  }
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1s;
}

@keyframes fade {
  from {
    opacity: .4
  }

  to {
    opacity: 1
  }
}

a.hrefbutton {
  padding: 15px;

  width: 134px;
  color: white;
  background: url(../img/button.png) no-repeat right center;

  &:hover {
    background-image: url(../img/button_hover.png);
    color: white;
    cursor: pointer;
  }
}


.login-button {
  width: 134px;
  height: 37px;

  color: white;
  background: url(../img/button.png) no-repeat right center;

  &:hover {
    background-image: url(../img/button_hover.png);
    cursor: pointer;
  }


}

.red {

  margin: 0 auto;
  text-align: center;
}

.red1 {
  width: 1500px;
  margin: 0 auto;
  text-align: center;
}

.red2 {
  width: 1200px;
  margin: 0 auto;
  text-align: center;
}

.red3 {
  width: 1300px;
  margin: 0 auto;
  text-align: center;
}
/* for bigger tables like fantasy points */
.bigtable {
  border-collapse: collapse; /* removes spacing between cells */
  width: 100%;
  font-family: Arial, sans-serif;
  font-size: 14px;
  border: 1px solid black;
}

.bigtable th {

  padding: 6px; /* replaces cellpadding */
  text-align: center;
}

.bigtable td {
  padding: 6px; /* replaces cellpadding */
  text-align: center;
   border: 1px solid black;
}
.card-layout {
   --column-count: 4;
  --layout-width: 1200px;
    background-color: #b89579;
   box-shadow: var(--golden-border-shadow);
   list-style: none;
  padding: 24px;
  display: grid;
  grid-template-columns: repeat(var(--column-count), 1fr);
  gap: 12px;
  margin-inline: auto;

  li {
  
   
    padding: 16px;
  }

  img {
    box-shadow: var(--golden-border-shadow);
    width: 100%;
  }
}





/* css for nav sub menus */

.sidenav .submenu {
  display: none;
  flex-direction: column;
  padding-left: 20px;
  background: rgba(255,255,255,0.05);
  border-left: 2px solid #888;
}

/* Submenu links */
.sidenav .submenu a {
  font-size: 14px;
  padding: 8px 0 8px 10px;
}

/* Toggle caret icon */
.sidenav .has-submenu::after {
  content: "▼";
  float: right;
  font-size: 12px;
  transition: transform 0.3s ease;
}

.sidenav .has-submenu.active::after {
  transform: rotate(-90deg);
}
.menu-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}

.menu-item a {
  flex-grow: 1;
}